過去ログ表示


過去ログ 21 を表示

トピック内全 7 記事中の 1 〜 7 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0]

WinXP SP1 への Mozilla インストールに注意
(#2941) このトピック中1番目の投稿

まだ WinXP SP1 日本語版はリリースされていませんが、
先日リリースされた WinXP SP1 英語版をインストールした環境では
以下の blocker bug が生じています。
http://bugzilla.mozilla.org/show_bug.cgi?id=167515


以下、適当に要約しますと、
Mozilla 1.0.x系、1.x系の両方共に WinXP SP1 へのインストールが
うまく行かない場合があります。

そのような場合にインストーラファイル(*.exe)を右クリックして
プロパティを開き、互換性タブを開いてWindows 9x互換モードで
実行させるように設定するとうまく行く(同 Comment #50,#53)
ようです。

また、#54によると、Mozilla と Trend Micro 社の Trend Active Update の
両方に存在する zlib.dll というファイルがかちあっているらしい。
(ちなみに、私の WinXP にインストールした「ウイルスバスター2002」に
含まれていた方の zlib.dll のバージョンは 1.23.0.1312 でした。)

Comment #56 ではこの zlib.dll を削除してインストールできるように
なるか確認してくれ、と言っています。
なお、zlib.dll については Comment #57 を参照。

以上、間違ってたらごめんなさいです。


Re[1]: WinXP SP1 への Mozilla インストールに注意
(#3023) このトピック中2番目の投稿

> まだ WinXP SP1 日本語版はリリースされていませんが、
> 先日リリースされた WinXP SP1 英語版をインストールした環境では
> 以下の blocker bug が生じています。
> http://bugzilla.mozilla.org/show_bug.cgi?id=167515

> Comment #56 ではこの zlib.dll を削除してインストールできるように
> なるか確認してくれ、と言っています。
> なお、zlib.dll については Comment #57 を参照。

以下のコメントはしばらくすっとばして…。(^^;
件のzlib.dllがどこから入ってきたものかはイマイチ
わかってないらしいのですが、それは枝葉末節らしい。

Comment #83,#84が原因の核心をついているようです。
DLLのパスサーチの問題。おそらく OS ごとに時にバージョンごとに
違った処理をするので、ややこしくなっているのでしょう。

まだパッチは出ていません。


Re[2]: WinXP SP1 への Mozilla インストールに注意
(#3047) このトピック中3番目の投稿

>>まだ WinXP SP1 日本語版はリリースされていませんが、
昨日マイクロソフトから正式(?)に公開されました。
http://www.microsoft.com/japan/windowsxp/pro/downloads/servicepacks/sp1/


Re[3]: WinXP SP1 への Mozilla インストールに注意
(#3071) このトピック中4番目の投稿

XP日本語版+SP1正規版で、今日たまたまインストールしていてエラーになって悩んでいました。netscape7.0日本語版、mozilla1.0.1、mozilla1.1、mozilla1.2αすべてエラーが出ました。ここを読んで、1.2αを98互換モードでインストールしたらOKでした。情報ありがとうございます。
ネスケ7は、どうやってやるんだろ?

Re[4]: WinXP SP1 への Mozilla インストールに注意
(#3092) このトピック中5番目の投稿

最初にごめんなさいしておきます。私、先に以下のように書いたのですが、

> (ちなみに、私の WinXP にインストールした「ウイルスバスター2002」に
> 含まれていた方の zlib.dll のバージョンは 1.23.0.1312 でした。)

この発言は関係ないので忘れてください。(^^;
VB2002が入っているから XP SP1 にインストールできないと
いうわけではないようです。

備後さん:
> XP日本語版+SP1正規版で、今日たまたまインストールしていて
> エラーになって悩んでいました。netscape7.0日本語版、mozilla1.0.1、
> mozilla1.1、mozilla1.2αすべてエラーが出ました。ここを読んで、
> 1.2αを98互換モードでインストールしたらOKでした。情報ありが
> とうございます。
> ネスケ7は、どうやってやるんだろ?

相変わらずちゃんと英語を読んでいませんが、トラブルが起きるのは
\Windows\System32\ に zlib.dll がある場合だそうです。
その zlib.dll をリネームしてやるとインストールがうまくいくという話が
#88 にあります。その場合は、Novell Client の一部だったそうですが。

備後さんの PC には sysem32 に zlib.dll ありますか?

本家でも原因はわからないままのようですが、Win9x互換モードにすれば
インストールすればできるというのは、あくまでも逃げの手段でしょうね。


私も先ほど XP SP1 をあてた環境に Mozilla nightly build 2002091904/WinXP
(Mozilla 1.2aより新しい) と Netscape 7.0 正式リリース版をインストール
したのですが、両方ともに問題なくできました。
その後、\Windows\ 以下を検索してみましたが、zlib.dll はありませんでした。


(以下、Mozilla とは直接関係ない話ですが、XP SP1 のインストール時には
 VB2002 を停止した方がよいような気がします。
 これを動かしたまま XP SP1 をインストールしようとして失敗して
 プロファイルが壊れてしまい、システムの復元のお世話になりました。
 SP1 のインストーラが復元ポイントをバックアップしてくれていたので
 後で一応復活できたらしく、大変助かりましたが。
 リリースノートを読むべきなのは、結局どのソフトも同じようですね。)


Re[3]: WinXP SP1 への Mozilla インストールに注意
(#3095) このトピック中6番目の投稿

> 備後さんの PC には sysem32 に zlib.dll ありますか?

なぜだかありました。今はzonealarm使ってるので、トレンドマイクロさんにはお世話になってないのですが、昔入れていたような気もする。オンラインスキャンというのも使ったような気がする。そんな過去のものにたたられるとは(^^;

で、今は使ってないソフトの残骸と判断し、ばっさり削除しました。
さっき、ネスケ7をインストールしました。無事インストールできました。

Re[6]: WinXP SP1 への Mozilla インストールに注意
(#3099) このトピック中7番目の投稿

> で、今は使ってないソフトの残骸と判断し、ばっさり削除しました。
> さっき、ネスケ7をインストールしました。無事インストールできました。

やはり zlib.dll がありましたか。
削除した dll のプロパティを取ってみれば、何に由来するか
わかったと思うのですが、なんだったんでしょうね…。


時間のかかる話はこの掲示板には不向きだと思うので、
Bugzilla-JP にもこの話を残しておきました。
http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=2672



このトピックの全ページ / [0]

返信不可


- Child Tree -